visualiseHybridisations {arrayMagic} | R Documentation

## Microarray intensity data are visualised with respect to their spatial layout

### Description

Two colour microarray intensity data are visualised with respect to their spatial layout. Missing values (`NA`) as well as minus infinity (`-Inf`) etc. are not visualised. They appear to be white, i.e. in the colour of the background. `-Inf` might be a result of the (log-)transformation of the data; cf. the argument `transFunc`.

### Usage

    visualiseHybridisations(arrayDataObject, exprSetRGObject, type="raw", hybridisations, slideNameColumn, numberOfSpots, nrOfBlocksPerRow=4, mappingColumns= list(Block="Block", Column="Column", Row="Row"), transFunc=log, savePath=".", plotOutput="pdf")

### Arguments

`arrayDataObject` | object of class `arrayData`; required; default: missing
`exprSetRGObject` | object of class `exprSetRG`; only required, if `type = "normalised"` or `type = "normalisedLogRatio"`; default: missing
`type` | vector of character strings; required; default "raw"; valid strings are "raw", "rawLogRatio", "rawLogRatioBackgroundSubtracted", "normalised" or "normalisedLogRatio"
`hybridisations` | vector of integers; optional; default: missing, i.e. all microarray slides
`slideNameColumn` | character string specifying the column `getHybAttr(arrayDataObject)` which contains the names of the hybridisations; optional; default: missing
`numberOfSpots` | integer; optional; default: missing; but required if the values in `arrayDataObject` do not cover the whole microarray slide, i.e. do not contain all spots; cf. `spatialLayout`.
`nrOfBlocksPerRow` | integer; cf. `spatialLayout`; required; default: 4
`mappingColumns` | list; required; the list elements named "Block", "Column", "Row" define the corresponding column names given in `getSpotAttr(arrayDataObject)`; the "Block" element is optional, if missing a single block is assumed; default: `list(Block="Block", Column="Column", Row="Row")`; cf. `spatialLayout`
`transFunc` | transformation function applied to the raw data, in particular in combination with `type = "raw"` you may for example use `log` or `rank`; (note: `type = "rawLogRatio"` and `type = "rawLogRatioBackgroundSubtracted"` require log ); required; default: log
`savePath` | character string; required; default: "."
`plotOutput` | character string; required; either "screen", "pdf" or "win.metafile"; default: "pdf"

### Value

None, but a plot is generated.

### Author(s)

Andreas Buness <a.buness@dkfz.de>

### See Also

`spatialLayout`, `exprSetRG-class`, `arrayData-class`

### Examples

[Package arrayMagic version 1.14.0 Index]